Debian Bug report logs - #619723
Brasero produces *.cue-file which isn't accepted by cdrdao (cue:14: Timecode out of range")

version graph

Package: brasero; Maintainer for brasero is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for brasero is src:brasero.

Reported by: Getreu <getreu@web.de>

Date: Sat, 26 Mar 2011 13:39:01 UTC

Severity: grave

Tags: patch

Found in version brasero/2.30.3-2

Fixed in version brasero/3.2.0-3.1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/664756

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, getreu@web.de, Christian Hübschi <huebschi.christian@gmail.com>:
Bug#619723; Package cdrdao. (Sat, 26 Mar 2011 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Getreu <getreu@web.de>:
New Bug report received and forwarded. Copy sent to getreu@web.de, Christian Hübschi <huebschi.christian@gmail.com>. (Sat, 26 Mar 2011 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Getreu <getreu@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrdao extits with ".cue:14: Timecode out of range"
Date: Sat, 26 Mar 2011 14:41:02 +0100
[Message part 1 (text/plain, inline)]
Package: cdrdao
Version: 1:1.2.3-0.1
Severity: important

Brasero calls  cdrao with

cdrdao
        write
        --device
        /dev/sr0
        -n
        -v
        2
        --speed
        24
        /tmp/brasero_tmp_LEQXSV.cue

and exits with
       .cue:14: Timecode out of range

The critical lin in .cue is
        INDEX 01 05:52:75

after changing this line to
        INDEX 01 05:52:74

everything works fine.


If cdrdrao is able to detect the time issue it should be able to correct it?
Or - is this a bug in brasero / gstreamer?
For a normal user this is definately a blocker.

Regards


Jens



-- System Information:
Debian Release: wheezy/sid
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cdrdao depends on:
ii  libao4                      1.0.0-5      Cross Platform Audio Output Librar
ii  libc6                       2.11.2-11    Embedded GNU C Library: Shared lib
ii  libgcc1                     1:4.5.2-4    GCC support library
ii  libogg0                     1.2.0~dfsg-1 Ogg bitstream library
ii  libstdc++6                  4.5.2-4      The GNU Standard C++ Library v3
ii  libvorbis0a                 1.3.2-1      The Vorbis General Audio Compressi
ii  libvorbisfile3              1.3.2-1      The Vorbis General Audio Compressi

cdrdao recommends no packages.

cdrdao suggests no packages.

-- no debconf information
[brasero-session.log (text/plain, attachment)]
[brasero (copie).cue (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hübschi <huebschi.christian@gmail.com>:
Bug#619723; Package cdrdao. (Tue, 14 Jun 2011 12:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Christian Hübschi <huebschi.christian@gmail.com>. (Tue, 14 Jun 2011 12:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 619723@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: Getreu <getreu@web.de>
Cc: 619723@bugs.debian.org, Pedro Fragoso <ember@ubuntu.com>
Subject: Re: cdrdao extits with ".cue:14: Timecode out of range"
Date: Tue, 14 Jun 2011 14:23:15 +0200
[Message part 1 (text/plain, inline)]
# This can either be fixed in cdrdao or brasero [1] 
reassign 619723 cdrdao,brasero

# Make the problem description more clear
retitle 619723 Brasero produces *.cue-file which isn't accepted by cdrdao (cue:14: Timecode out of range")

# Broken audio disc creation is kind of bad for burning programs [2]
severity 619723 grave

Hi,

same issue here. The critical line was

	INDEX 01 37:57:75

After changing it to

	INDEX 01 37:57:74

burning worked. Since this was also a *.cue-file generated by Brasero
I'm reassigning this bug. This seems to be the right thing to do, since
the bug could probably be fixed by making brasero produce correct
*.cue-files or by making cdrdao more fault-tolerant. Either way, this
breaks audio disc creation in a lot of cases (3 so far for me) and is
therefore a `grave' bug.

Best regards

Alexander Kurtz

[1] http://www.debian.org/Bugs/server-control#reassign
[2] http://www.debian.org/Bugs/Developer#severities
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'cdrdao' to 'cdrdao,brasero'. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 12:27:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions cdrdao/1:1.2.3-0.1. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 12:27:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'Brasero produces *.cue-file which isn't accepted by cdrdao (cue:14: Timecode out of range")' from 'cdrdao extits with ".cue:14: Timecode out of range"' Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 12:27:14 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 12:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hübschi <huebschi.christian@gmail.com>, Pedro Fragoso <ember@ubuntu.com>:
Bug#619723; Package cdrdao,brasero. (Tue, 14 Jun 2011 14:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Christian Hübschi <huebschi.christian@gmail.com>, Pedro Fragoso <ember@ubuntu.com>. (Tue, 14 Jun 2011 14:00:06 GMT) Full text and rfc822 format available.

Message #23 received at 619723@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: Pedro Fragoso <ember@ubuntu.com>, Getreu <getreu@web.de>
Cc: 619723@bugs.debian.org
Subject: Re: cdrdao extits with ".cue:14: Timecode out of range"
Date: Tue, 14 Jun 2011 15:56:19 +0200
[Message part 1 (text/plain, inline)]
reassign 619723 brasero
found 619723 2.30.3-2
thanks

Hi everybody,

I think I know what's wrong now. I've attached a simple test case to
reproduce the bug. Here's how it works:

 1. Unpack testcase.tar.xz
 2. Try to burn Track01.wav and Track02.wav (in this order!) to an 
    audio disc. Burning will fail.
 3. Try to create an image file of the tracks. You'll probably get 
    a cuesheet like this:

	FILE "/home/alexander/brasero.bin" MOTOROLA
	TITLE "Audio disc (14 Jun 11)"
	TRACK 01 AUDIO
		INDEX 01 00:00:00
	TRACK 02 AUDIO
		INDEX 01 00:09:75

As you can see, the second track starts at 00:09:75. However, since
there are only 75 frames per second[1], starting at frame #75 is
invalid. The correct start time would be 00:10:00.

Of course, Track01.wav was specifically crafted to demonstrate this bug,
but since all tracks have to start at valid times this bug is actually
quite serious. Say you want to burn a CD with 20 tracks of random
length. To successfully burn the disc, no track must start at XX:XX:75.
For 20 tracks this means a (75/76)^20 = 77% chance of success. In other
words, nearly a quarter of all audio projects can't be burned because of
a stupid off-by-one error.

Please tell me if you need any more information to fix this.

Best regards

Alexander Kurtz

[1] http://en.wikipedia.org/wiki/Cue_sheet_(computing)#Essential_commands
[testcase.tar.xz (application/x-xz-compressed-tar, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'cdrdao,brasero' to 'brasero'. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 14:00:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions brasero/2.30.3-2. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Tue, 14 Jun 2011 14:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Thu, 10 Nov 2011 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 10 Nov 2011 17:09:05 GMT) Full text and rfc822 format available.

Message #32 received at 619723@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Alexander Kurtz <kurtz.alex@googlemail.com>, 619723@bugs.debian.org
Subject: Re: Bug#619723: cdrdao extits with ".cue:14: Timecode out of range"
Date: Thu, 10 Nov 2011 18:04:49 +0100
[Message part 1 (text/plain, inline)]
Hello.

Alexander Kurtz, 2011-06-14 15:56 UTC+0200:
> As you can see, the second track starts at 00:09:75. However, since
> there are only 75 frames per second[1], starting at frame #75 is
> invalid. The correct start time would be 00:10:00.

I have identified the code which is involved here. It is
plugins/audio2cue/burn-audio2cue.c:308-320,
>> static gchar *
>> brasero_audio2cue_len_to_string (guint64 len)
>> {
>>     int sec;
>>     int min;
>>     guint64 frame;
>> 
>>     if (len >= 1000000000LL)
>>         frame = (len % 1000000000LL) * 75;
>>     else
>>         frame = len * 75;
>> 
>>     frame = frame / 1000000000 + ((frame % 1000000000LL) ? 1:0);

In the following analysis, I shall substract 300 to the line numbers for
simplification, so consider the first line is #8.

len seems to be a duration in nanoseconds. The control structure ll.
15-18, stores 75 times the rest of its division by one second into
frame. This is done only if len is greater or equal to one second, but
this condition is pointless since if it is strictly lower (by the way, I
think it should be removed for clarity), then this rest is equal to len
anyway.

So now, frame contain the nano-frame number, between 0 included and 75e9
excluded. L. 20, it is divided by a billion to get the frame number and
it is added one if it was an exact frame. The result is thus between 0
and 75 *included*, equal to 75 in the cases where (len % 1e9) * 75 ==
74e9.

I must be missing something since I think this case never happens, but I
am really not an expect in C so I am not sure of this divisions'
behaviour. Anyway, this is where the problem is. I shall give it a more
precise look, but do not hesitate to comment or correct my analysis.

Regards,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Thu, 10 Nov 2011 22:55:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 10 Nov 2011 22:55:05 GMT) Full text and rfc822 format available.

Message #37 received at 619723@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Alexander Kurtz <kurtz.alex@googlemail.com>, 619723@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#619723: cdrdao extits with ".cue:14: Timecode out of range"
Date: Thu, 10 Nov 2011 23:53:11 +0100
[Message part 1 (text/plain, inline)]
package brasero
tag 619723 + patch
thanks

Tanguy Ortolo, 2011-11-10 18:04 UTC+0100:
> So now, frame contain the nano-frame number, between 0 included and 75e9
> excluded. L. 20, it is divided by a billion to get the frame number and
> it is added one if it was an exact frame. The result is thus between 0
> and 75 *included*, equal to 75 in the cases where (len % 1e9) * 75 ==
> 74e9.

My mistake: it is incremented by one if it was *not* an exact frame. In
practice, I imagine this would almost always be the case.

So the result is equal to 75 in all the cases where
74e9 < (len % 1e9) * 75 < 75e9.

The attached C program allows to demonstrate it:
    $ ./test 999999999   # this is one second minus one nanosecond
    0 0:0:75

I imagine that the conditional increment is meant to include the last
incomplete frame in the case where a track does not exactly end on a
frame. The current implementation is wrong, and it could be corrected by
conditionally incrementing len *before* we start computing anything from
it; however, given that a frame is only one 75th a second, I think it
would be better to simply remove the conditional increment: part of a
frame could be lost on the very last track of the disk but I do not
think it would matter to anyone.

For instance, if you replace l. 22 from my program by the commented one
just above:
    $ ./test 999999999
    0 0:0:75

If you agree with this solution, here is a quilt patch that implements
it.

Regards,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Thu, 10 Nov 2011 22:55:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Thu, 10 Nov 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 10 Nov 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #44 received at 619723@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 619723@bugs.debian.org
Subject: Re: Bug#619723: cdrdao extits with ".cue:14: Timecode out of range"
Date: Thu, 10 Nov 2011 23:54:30 +0100
[Message part 1 (text/plain, inline)]
Tanguy Ortolo, 2011-11-10 23:53 UTC+0100:
> The attached C program allows to demonstrate it:
>     $ ./test 999999999   # this is one second minus one nanosecond
>     0 0:0:75
> 
> […]
> 
> If you agree with this solution, here is a quilt patch that implements
> it.

Oops, forgot to attach these files. Here they are.

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[test.c (text/x-csrc, attachment)]
[03_cue-invalid-frame-75.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Mon, 14 Nov 2011 16:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 14 Nov 2011 16:09:07 GMT) Full text and rfc822 format available.

Message #49 received at 619723@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 619723@bugs.debian.org
Subject: Re: Bug#619723: cdrdao extits with ".cue:14: Timecode out of range"
Date: Mon, 14 Nov 2011 17:04:45 +0100
[Message part 1 (text/plain, inline)]
As I said, my patch is one approach to solve this problem by dropping
the code that adds an extra frame. The other one would be to add that
extra frame correctly instead: this solution would be less intrusive to
the behaviour of this program but more intrusive to its source code. I
can provide another patch for that if needed.

I assumed that missing part of a frame is not a real issue, but I do not
know this context very well. I think we should ask the upstream authors
for advice, since that patch will eventually be merge into their code as
it is a general bug fix, and they are likely to know the situation
better than I do. Maintainers, do you want to do that by yourselves or
would you prefer that I contact them directly, possibly filing a bug
report on their BTS and linking it to this one?

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Tue, 15 Nov 2011 11:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 15 Nov 2011 11:09:22 GMT) Full text and rfc822 format available.

Message #54 received at 619723@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 619723@bugs.debian.org
Subject: Re: Bug#619723: cdrdao extits with ".cue:14: Timecode out of range"
Date: Tue, 15 Nov 2011 12:06:14 +0100
[Message part 1 (text/plain, inline)]
Tanguy Ortolo, 2011-11-10 23:53 UTC+0100:
> I imagine that the conditional increment is meant to include the last
> incomplete frame in the case where a track does not exactly end on a
> frame. The current implementation is wrong, and it could be corrected by
> conditionally incrementing len *before* we start computing anything from
> it; however, given that a frame is only one 75th a second, I think it
> would be better to simply remove the conditional increment: part of a
> frame could be lost on the very last track of the disk but I do not
> think it would matter to anyone.

Sorry for the this lot of messages, but that was not exact. I have just
read more about the CUE format and what Brasero does; in fact the
possible shift would only affect the position of the beginning of each
track. When the total length before a given track does not end exactly
on a frame it has to be rounded in some way. The current, buggy
behaviour of Brasero is to round it to the frame above; the one I am
proposing it to round it to the one below; the most accurate one would
be to round it to the closest one. But as we are talking about 1/75th of
seconds, I still think the simplest solution would be the best one:
truncating it to the frame below.

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/664756'. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Thu, 24 Nov 2011 19:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Sat, 03 Mar 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 03 Mar 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #61 received at 619723@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 619723@bugs.debian.org
Cc: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Subject: brasero: diff for NMU version 3.2.0-3.1
Date: Sat, 3 Mar 2012 20:49:31 +0000
[Message part 1 (text/plain, inline)]
tags 619723 + pending
thanks

Dear GNOME team,

The analysis and patch from Tanguy look correct, so
I've prepared an NMU for brasero (versioned as 3.2.0-3.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards,
    S
    at the Cambridge BSP
[brasero-3.2.0-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 20:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Sat, 03 Mar 2012 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 03 Mar 2012 23:36:05 GMT) Full text and rfc822 format available.

Message #68 received at 619723@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Simon McVittie <smcv@debian.org>, 619723@bugs.debian.org
Subject: Re: Bug#619723: brasero: diff for NMU version 3.2.0-3.1
Date: Sun, 04 Mar 2012 00:33:14 +0100
[Message part 1 (text/plain, inline)]
On 03.03.2012 21:49, Simon McVittie wrote:
> tags 619723 + pending
> thanks
> 
> Dear GNOME team,
> 
> The analysis and patch from Tanguy look correct, so
> I've prepared an NMU for brasero (versioned as 3.2.0-3.1) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should delay it longer.

Thanks for the patch. Do you know if it has been forwarded upstream?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#619723; Package brasero. (Sun, 04 Mar 2012 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 17:45:07 GMT) Full text and rfc822 format available.

Message #73 received at 619723@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: Simon McVittie <smcv@debian.org>, Michael Biebl <biebl@debian.org>
Cc: 619723@bugs.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>
Subject: Re: brasero: diff for NMU version 3.2.0-3.1
Date: Sun, 04 Mar 2012 18:42:47 +0100
[Message part 1 (text/plain, inline)]
Hi everybody,

On Sat, 2012-03-03 at 20:49 +0000, Simon McVittie wrote:
> The analysis and patch from Tanguy look correct, so
> I've prepared an NMU for brasero (versioned as 3.2.0-3.1) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should delay it longer.

I can confirm that your patch (which is based on Tanguy Ortolo's patch)
does indeed fix the problem. I was able to successfully burn the test
case[0] which I submitted last year[1]. Thank you very much!

On Sun, 2012-03-04 at 00:33 +0100, Michael Biebl wrote:
> Thanks for the patch. Do you know if it has been forwarded upstream?

Tanguy Ortolo has forwarded[2] this bug and his patch on 2011-11-24 to
GNOME's bugzilla[3]. Unfortunately upstream has not yet responded.

Best regards

Alexander Kurtz

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=23;filename=testcase.tar.xz;att=1;bug=619723
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619723#23
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=56;bug=619723
[3] https://bugzilla.gnome.org/show_bug.cgi?id=664756
[signature.asc (application/pgp-signature, inline)]

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Sat, 10 Mar 2012 21:33:18 GMT) Full text and rfc822 format available.

Notification sent to Getreu <getreu@web.de>:
Bug acknowledged by developer. (Sat, 10 Mar 2012 21:33:21 GMT) Full text and rfc822 format available.

Message #78 received at 619723-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 619723-close@bugs.debian.org
Subject: Bug#619723: fixed in brasero 3.2.0-3.1
Date: Sat, 10 Mar 2012 21:32:22 +0000
Source: brasero
Source-Version: 3.2.0-3.1

We believe that the bug you reported is fixed in the latest version of
brasero, which is due to be installed in the Debian FTP archive:

brasero-cdrkit_3.2.0-3.1_amd64.deb
  to main/b/brasero/brasero-cdrkit_3.2.0-3.1_amd64.deb
brasero-common_3.2.0-3.1_all.deb
  to main/b/brasero/brasero-common_3.2.0-3.1_all.deb
brasero_3.2.0-3.1.debian.tar.gz
  to main/b/brasero/brasero_3.2.0-3.1.debian.tar.gz
brasero_3.2.0-3.1.dsc
  to main/b/brasero/brasero_3.2.0-3.1.dsc
brasero_3.2.0-3.1_amd64.deb
  to main/b/brasero/brasero_3.2.0-3.1_amd64.deb
gir1.2-brasero-3.0_3.2.0-3.1_amd64.deb
  to main/b/brasero/gir1.2-brasero-3.0_3.2.0-3.1_amd64.deb
libbrasero-media3-1_3.2.0-3.1_amd64.deb
  to main/b/brasero/libbrasero-media3-1_3.2.0-3.1_amd64.deb
libbrasero-media3-dev_3.2.0-3.1_amd64.deb
  to main/b/brasero/libbrasero-media3-dev_3.2.0-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619723@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated brasero package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Mar 2012 19:05:54 +0000
Source: brasero
Binary: brasero brasero-common brasero-cdrkit libbrasero-media3-1 libbrasero-media3-dev gir1.2-brasero-3.0
Architecture: source all amd64
Version: 3.2.0-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 brasero    - CD/DVD burning application for GNOME
 brasero-cdrkit - cdrkit extensions for the Brasero burning application
 brasero-common - Common files for the Brasero CD burning application and library
 gir1.2-brasero-3.0 - CD/DVD burning library for GNOME - GObject introspection data
 libbrasero-media3-1 - CD/DVD burning library for GNOME - runtime
 libbrasero-media3-dev - CD/DVD burning library for GNOME - development
Closes: 619723
Changes: 
 brasero (3.2.0-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Michael Biebl ]
   * Change section of gir1.2-brasero-3.0 to introspection.
 .
   [ Simon McVittie ]
   * Apply patch from Tanguy Ortolo to fix inability to burn tracks
     with cdrdao if their length is fractionally less than a whole number
     of seconds (Closes: #619723)
Checksums-Sha1: 
 7d47bbf8c74850f1dd5cf871f7b839c16d273dad 2968 brasero_3.2.0-3.1.dsc
 c731fc887ad948c4fbf64d030b28ef24e43742d0 12528 brasero_3.2.0-3.1.debian.tar.gz
 5f36883d526ef33c8f32989bc2e4b892cb592a19 3124130 brasero-common_3.2.0-3.1_all.deb
 e795c2e564032a63bc30a1b58238d85cd797c327 704176 brasero_3.2.0-3.1_amd64.deb
 ba46cfec7baadd077233270d6215d174bf4a0a22 540054 brasero-cdrkit_3.2.0-3.1_amd64.deb
 879fafa200e3a07cd26b2f8caca718cb4c903dde 982860 libbrasero-media3-1_3.2.0-3.1_amd64.deb
 b36f7ccd501da171d6c1886bf8999811b5194cb1 631708 libbrasero-media3-dev_3.2.0-3.1_amd64.deb
 2b27e9f9296781ee6b6d2809ddc325095e628ec2 521174 gir1.2-brasero-3.0_3.2.0-3.1_amd64.deb
Checksums-Sha256: 
 20e5861de75b56a0337738780e5c5842a65ae5cab325f3a2c03f805710699580 2968 brasero_3.2.0-3.1.dsc
 a99c13c379d2f1ed8b0b64ebc66fbcc9ca1ed0bca3993dba7c35eba472fb1abf 12528 brasero_3.2.0-3.1.debian.tar.gz
 156dccaab3a176091ff7b29642b5caa7067a50ab4b109e26f52d7f89ad575f13 3124130 brasero-common_3.2.0-3.1_all.deb
 e4e51f6694a700db150d6ff91255840dba667e7d76a3a9b50bdf4d83fbf219e6 704176 brasero_3.2.0-3.1_amd64.deb
 09a25f3c5bc961d5ab70e9150da3e5d87f1c8915d74402df8301ad5b928b2e81 540054 brasero-cdrkit_3.2.0-3.1_amd64.deb
 657f09f800eed34974dec2cd5dc4f13138500a6e79de651c91d58b4c2b7bf220 982860 libbrasero-media3-1_3.2.0-3.1_amd64.deb
 7023258a45f405ead07ea3792a1869c5e2e68791a04fa42d86a3fb82c4940795 631708 libbrasero-media3-dev_3.2.0-3.1_amd64.deb
 bbd1bfdee9835162ce1cd2d830bfa9ad90da2ca5ba652287832c002c9cd01c59 521174 gir1.2-brasero-3.0_3.2.0-3.1_amd64.deb
Files: 
 c108e1aa4270473980f9898e4d858e3c 2968 gnome optional brasero_3.2.0-3.1.dsc
 6b51cd255c26ad08d5a9fb86d40b8c58 12528 gnome optional brasero_3.2.0-3.1.debian.tar.gz
 cdbe003ff0367db67c0c4581c28ee77a 3124130 gnome optional brasero-common_3.2.0-3.1_all.deb
 2e4c337d5afc04b559b4f5c4bf30df06 704176 gnome optional brasero_3.2.0-3.1_amd64.deb
 62cc69ca3730780bf0729c35abd6ef40 540054 gnome optional brasero-cdrkit_3.2.0-3.1_amd64.deb
 85a2ff87c189db2ed45a921ca938e44f 982860 libs optional libbrasero-media3-1_3.2.0-3.1_amd64.deb
 04651e18cc7df229a5f5e51d40aa05d2 631708 libdevel optional libbrasero-media3-dev_3.2.0-3.1_amd64.deb
 dbc096a41b7913c43bc7544f405a4538 521174 introspection optional gir1.2-brasero-3.0_3.2.0-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBT1KBWU3o/ypjx8yQAQgUMw//XRaTnbR8C0/DUStYGB1sw2XO/bTi0uMY
LpoLk+C2QZtCQU7I+Gz3+imNwcjYmPImm5+ZiJwY7h3b8XVhrCX2dPkJEaTXza91
WJuEPe6Ta6WWa3eKn/eVkoCZ6Lw6pkw+3Ii0vZ7Wh2AcsN3/O7wa5y6uy7bMrAhK
hFeIf99zlNDBriW4AyLVmdJu1OBP091yLapBXpIK2YdlV/tbR0nRwVyvcv16P+MB
bztuArWgE3q6zpf6gpRpLWytnTTKSkZVtz+qTZFR8zcEZgx502r97h0mQLvuOYhO
0MvVBVTlfpmi2AgRCTdk7E42YVkOmzMuOj2PG7s8jn6dCbPnX1fZkTf748wbgA2c
Q87kCtsq0ucOWms+ylM8GQovqDSnCw0AjKziq1x2tCKwFqlk9yqaDLB7WlLsJDyu
ykoQg9LDYz/1C3pkikGEeSWwsgSwryVUBS0wlWMZsE8N0tK9rkuEma7A9MC2JOM5
LL2gre5UWcaK90D1pDhE2nfkQ6cqcM51hRoyX7RwrIRnJr4jkT5SK9YZmRuzXays
/xLqmGO2+1G5Wvk7pzqPUQiZETEHMpfjvp0ucuMRJolxpCpKGUaPAtaElgUU2z7L
s0UQHbhUwz4knCTRkIRHGz8CJXI4Y+MpeHjINGHMam++fwuq80DGsgsXl59aSvp3
zXwJbK+OEU0=
=KksL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:42:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:08:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.